Tests
List an agent's standards with their latest result
GET
/
v1
/
standards
List an agent's standards with their latest result
curl --request GET \
--url https://api.sempera.org/v1/standards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/standards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/standards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"agent_id": "<string>",
"version_number": 123,
"data": [
{
"id": "<string>",
"object": "standard",
"name": "<string>",
"step": "<string>",
"situation": {
"script": [
"<string>"
],
"caller_phone": "<string>",
"seed": {
"history": [
{
"caller": "<string>",
"say": "<string>"
}
],
"collected": {}
}
},
"expectations": [
{
"name": "<string>",
"step": "<string>",
"kind": "<string>",
"intent": "<string>",
"pattern": "<string>",
"threshold": 123,
"target": "<string>"
}
],
"repeats": 123,
"enabled": true,
"revision": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"created_by": "<string>",
"last_result": {
"standard_id": "<string>",
"name": "<string>",
"step": "<string>",
"revision": "<string>",
"verdict": "passed",
"passed": true,
"attempts": 123,
"expectations": [
{
"name": "<string>",
"kind": "<string>",
"verdict": "<string>",
"rate": 123,
"threshold": 123,
"why": "<string>"
}
],
"observed": {
"reached": true,
"steps": [
"<string>"
],
"said_at_step": [
"<string>"
],
"went_on_to": [
"<string>"
],
"captured_at_step": [
"<string>"
],
"outcome": "<string>",
"failed_because": "<string>"
},
"run_id": "<string>",
"at": "<string>",
"current": true
}
}
],
"blocks_promotion": true,
"gate": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
A workspace API key, sent as Authorization: Bearer sempera_sk_... Each operation names the one scope it needs. Scopes, key kinds and roles are in the Authentication guide.
Query Parameters
⌘I
List an agent's standards with their latest result
curl --request GET \
--url https://api.sempera.org/v1/standards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v1/standards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v1/standards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "list",
"agent_id": "<string>",
"version_number": 123,
"data": [
{
"id": "<string>",
"object": "standard",
"name": "<string>",
"step": "<string>",
"situation": {
"script": [
"<string>"
],
"caller_phone": "<string>",
"seed": {
"history": [
{
"caller": "<string>",
"say": "<string>"
}
],
"collected": {}
}
},
"expectations": [
{
"name": "<string>",
"step": "<string>",
"kind": "<string>",
"intent": "<string>",
"pattern": "<string>",
"threshold": 123,
"target": "<string>"
}
],
"repeats": 123,
"enabled": true,
"revision": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"created_by": "<string>",
"last_result": {
"standard_id": "<string>",
"name": "<string>",
"step": "<string>",
"revision": "<string>",
"verdict": "passed",
"passed": true,
"attempts": 123,
"expectations": [
{
"name": "<string>",
"kind": "<string>",
"verdict": "<string>",
"rate": 123,
"threshold": 123,
"why": "<string>"
}
],
"observed": {
"reached": true,
"steps": [
"<string>"
],
"said_at_step": [
"<string>"
],
"went_on_to": [
"<string>"
],
"captured_at_step": [
"<string>"
],
"outcome": "<string>",
"failed_because": "<string>"
},
"run_id": "<string>",
"at": "<string>",
"current": true
}
}
],
"blocks_promotion": true,
"gate": "<string>"
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}